Package org.eclipse.emf.cdo.ui.widgets

## Class SelectBranchComposite

- java.lang.Object
- - org.eclipse.swt.widgets.Widget
  - - org.eclipse.swt.widgets.Control
    - - org.eclipse.swt.widgets.Scrollable
      - - org.eclipse.swt.widgets.Composite
        - - org.eclipse.emf.cdo.ui.widgets.SelectBranchComposite

- All Implemented Interfaces:
    `org.eclipse.net4j.util.ui.ValidationParticipant`, `Drawable`

      @Deprecated
      public class SelectBranchComposite
      extends Composite
      implements org.eclipse.net4j.util.ui.ValidationParticipant

  Deprecated.
  as of 4.4 no longer supported.
  UI widget that provides visualization of all available `branches`, and with the capability to select one.
  Since:
    4.0
  Author:
    Eike Stepper

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.swt.widgets.Control

      `handle`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SelectBranchComposite​(Composite parent, int style, CDOSession session, CDOBranch branch)` | Deprecated.
    `SelectBranchComposite​(Composite parent, int style, CDOSession session, CDOBranch branch, boolean withHistory)` | Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addListener​(int eventType, Listener listener)` | Deprecated.
    `protected void` | `branchChanged​(CDOBranch newBranch)` | Deprecated.
    `CDOBranch` | `getBranch()` | Deprecated.
    `org.eclipse.net4j.util.ui.widgets.HistoryText` | `getBranchText()` | Deprecated.
    `TreeViewer` | `getBranchViewer()` | Deprecated.
    `CDOSession` | `getSession()` | Deprecated.
    `org.eclipse.net4j.util.ui.ValidationContext` | `getValidationContext()` | Deprecated.
    `void` | `rememberSettings()` | Deprecated.
    `void` | `removeListener​(int eventType, Listener listener)` | Deprecated.
    `boolean` | `setFocus()` | Deprecated.
    `void` | `setValidationContext​(org.eclipse.net4j.util.ui.ValidationContext validationContext)` | Deprecated.

    - ### Methods inherited from class org.eclipse.swt.widgets.Composite

      `changed, checkSubclass, drawBackground, getBackgroundMode, getChildren, getLayout, getLayoutDeferred, getTabList, isLayoutDeferred, layout, layout, layout, layout, layout, setBackgroundMode, setLayout, setLayoutDeferred, setTabList`

    - ### Methods inherited from class org.eclipse.swt.widgets.Scrollable

      `computeTrim, getClientArea, getHorizontalBar, getScrollbarsMode, getVerticalBar`

    - ### Methods inherited from class org.eclipse.swt.widgets.Control

      `addControlListener, addDragDetectListener, addFocusListener, addGestureListener, addHelpListener, addKeyListener, addMenuDetectListener, addMouseListener, addMouseMoveListener, addMouseTrackListener, addMouseWheelListener, addPaintListener, addTouchListener, addTraverseListener, computeSize, computeSize, dragDetect, dragDetect, forceFocus, getAccessible, getBackground, getBackgroundImage, getBorderWidth, getBounds, getCursor, getDragDetect, getEnabled, getFont, getForeground, getLayoutData, getLocation, getMenu, getMonitor, getOrientation, getParent, getRegion, getShell, getSize, getTextDirection, getToolTipText, getTouchEnabled, getVisible, internal_dispose_GC, internal_new_GC, isEnabled, isFocusControl, isReparentable, isVisible, moveAbove, moveBelow, pack, pack, print, redraw, redraw, removeControlListener, removeDragDetectListener, removeFocusListener, removeGestureListener, removeHelpListener, removeKeyListener, removeMenuDetectListener, removeMouseListener, removeMouseMoveListener, removeMouseTrackListener, removeMouseWheelListener, removePaintListener, removeTouchListener, removeTraverseListener, requestLayout, setBackground, setBackgroundImage, setBounds, setBounds, setCapture, setCursor, setDragDetect, setEnabled, setFont, setForeground, setLayoutData, setLocation, setLocation, setMenu, setOrientation, setParent, setRedraw, setRegion, setSize, setSize, setTextDirection, setToolTipText, setTouchEnabled, setVisible, toControl, toControl, toDisplay, toDisplay, traverse, traverse, traverse, update`

    - ### Methods inherited from class org.eclipse.swt.widgets.Widget

      `addDisposeListener, checkWidget, dispose, getData, getData, getDisplay, getListeners, getStyle, isAutoDirection, isDisposed, isListening, notifyListeners, removeDisposeListener, removeListener, reskin, setData, setData, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.swt.graphics.Drawable

      `isAutoScalable`

- - ### Constructor Detail

    - #### SelectBranchComposite

          public SelectBranchComposite​(Composite parent,
                                       int style,
                                       CDOSession session,
                                       CDOBranch branch)

      Deprecated.

    - #### SelectBranchComposite

          public SelectBranchComposite​(Composite parent,
                                       int style,
                                       CDOSession session,
                                       CDOBranch branch,
                                       boolean withHistory)

      Deprecated.
      Since:
        4.2

  - ### Method Detail

    - #### setFocus

          public boolean setFocus()

      Deprecated.
      Overrides:
        `setFocus` in class `Composite`

    - #### getValidationContext

          public org.eclipse.net4j.util.ui.ValidationContext getValidationContext()

      Deprecated.
      Specified by:
        `getValidationContext` in interface `org.eclipse.net4j.util.ui.ValidationParticipant`

    - #### setValidationContext

          public void setValidationContext​(org.eclipse.net4j.util.ui.ValidationContext validationContext)

      Deprecated.
      Specified by:
        `setValidationContext` in interface `org.eclipse.net4j.util.ui.ValidationParticipant`

    - #### getSession

          public CDOSession getSession()

      Deprecated.

    - #### getBranch

          public CDOBranch getBranch()

      Deprecated.

    - #### getBranchText

          public org.eclipse.net4j.util.ui.widgets.HistoryText getBranchText()

      Deprecated.

    - #### getBranchViewer

          public TreeViewer getBranchViewer()

      Deprecated.

    - #### rememberSettings

          public void rememberSettings()

      Deprecated.

    - #### addListener

          public void addListener​(int eventType,
                                  Listener listener)

      Deprecated.
      Overrides:
        `addListener` in class `Widget`

    - #### removeListener

          public void removeListener​(int eventType,
                                     Listener listener)

      Deprecated.
      Overrides:
        `removeListener` in class `Widget`

    - #### branchChanged

          protected void branchChanged​(CDOBranch newBranch)

      Deprecated.